Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web
Class UserAgent

    java.lang.Object
      com.bea.web.UserAgent

All Implemented Interfaces:
  Serializable

    public final class UserAgent

extends Object
implements Serializable

Identifies a user's Web browser by inspecting the USER-AGENT field of an HTTP request.

See Also:
  Serialized Form

Field Summary
`static byte` | `byAOL`
`static byte` | `byMAC`
`static byte` | `byMSIE`
`static byte` | `byNETSCAPE`
`static byte` | `byUNKNOWN`
`static byte` | `byWINDOWS`

Constructor Summary
`UserAgent()`

Method Summary
`byte` | `getBrowser()`
`String` | `getBrowserStr()`
`byte` | `getPlatform()`
`String` | `getPlatformStr()`
`String` | `getVersion()`
`static UserAgent` | `identify(String strUserAgent)`
`void` | `setBrowser(byte byBrowser)`
`void` | `setPlatform(byte byPlatform)`
`void` | `setVersion(String strVersion)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### byUNKNOWN

    public static final byte byUNKNOWN

See Also:
  Constant Field Values

### byWINDOWS

    public static final byte byWINDOWS

See Also:
  Constant Field Values

### byMAC

    public static final byte byMAC

See Also:
  Constant Field Values

### byAOL

    public static final byte byAOL

See Also:
  Constant Field Values

### byMSIE

    public static final byte byMSIE

See Also:
  Constant Field Values

### byNETSCAPE

    public static final byte byNETSCAPE

See Also:
  Constant Field Values

Constructor Detail

### UserAgent

    public UserAgent()

Method Detail

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

### getVersion

    public final String getVersion()

### getBrowser

    public final byte getBrowser()

### getBrowserStr

    public final String getBrowserStr()

### getPlatform

    public final byte getPlatform()

### getPlatformStr

    public final String getPlatformStr()

### setVersion

    public final void setVersion(String strVersion)

### setBrowser

    public final void setBrowser(byte byBrowser)

### setPlatform

    public final void setPlatform(byte byPlatform)

### identify

    public static final UserAgent identify(String strUserAgent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD